import type { TextareaHTMLAttributes } from "react";
export interface TextAreaProps extends TextareaHTMLAttributes<HTMLTextAreaElement> {
    error?: boolean;
    fullWidth?: boolean;
}
declare const _default: ((props: TextAreaProps & import("react").RefAttributes<HTMLTextAreaElement>) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null) & {
    Root: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    } & import("./TextArea.styled").TextAreaRootProps, import("react").DetailedHTMLProps<TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, {}>;
};
export default _default;
